/** @format */

.keyboard-info {
  float: right;
}

.candidateCard:hover {
  /* .candidateCard:has(> .pre-selected) { */
  /* gap: 2em; */
  border: 2px solid lightgrey;
}

.p-overlaypanel-content .card-row,
div#overlay_panel_content .card-row {
  display: flex;
  align-items: center;
  padding: 2em;
}

input#authorURI,
input#workURI,
.card-row input {
  margin-left: 1em;
}

.sourceCard {
  margin-right: 2em;
}

.cards hr {
  margin-bottom: 0;
}

.cards p {
  margin-top: 0;
  padding-top: 1em;
}

.card-row {
  height: 1.5em;
  border-bottom: 1px solid lightgrey;
  padding: 0.5em;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  line-height: 1em;
  overflow-y: auto;
}
.card-row ul {
  margin: 0;
}

.card-row:hover {
  background-color: aliceblue;
}

.card-row.match {
  height: unset;
  justify-content: space-between;
}

.card-row.fullmatch {
  height: unset;
  justify-content: space-evenly;
}

.card-row.match input {
  width: 55%;
}

.candidates {
  gap: 1em;
  max-width: 850px;
  overflow-x: scroll;
  justify-content: flex-start;
  display: flex;
}

.src-card,
.sourceCard,
.fieldCard {
  min-width: 400px;
  max-width: 500px;
}

.src-card,
.sourceCard,
.fieldCard,
.candidateCard,
.candidate-card {
  border-radius: 5px;
  border: 0.5px solid lightgrey;
  padding: 5px;
}

.candidateCard {
  min-width: 250px;
}

.selected-card,
.candidateCard:has(> .selected) {
  border: 0.5px solid #7ccd7c;
}

.fieldCard {
  min-width: max-content;
}

.pageTitle {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-content: center;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.record-change {
  display: flex;
  justify-content: space-between;
}

.box {
  border: 1px solid lightgrey;
  padding: 5px;
  /* width: 250px; */
  border-radius: 5px;
}

.speeddial {
  position: relative;
  height: 50px;
}

.speeddial .p-speeddial-direction-up-left {
  right: 0;
  bottom: 0;
}

.cards {
  display: flex;
  justify-content: center;
}

.button-row {
  display: flex;
  justify-content: center;
  align-content: center;
  align-items: center;
}

.progressBar {
  display: flex;
  justify-content: center;
}

.progressBar > div {
  width: 60%;
  height: 1.5em;
  margin-bottom: 1em;
}

.p-progressbar .p-progressbar-value {
  background-color: var(--primary-color);
  /* width: 400px; */
}

.c-box {
  border: 1px solid lightgrey;
  padding: 5px;
  width: 500px;
  border-radius: 5px;
}

.start-box {
  border: 1px solid lightgrey;
  padding: 5px;
  /* width: 160px; */
  border-radius: 5px;
}

.w-dyn {
  width: 100%;
}

.box-table {
  margin: 0;
}

.f-r {
  float: right;
  display: flex;
}

.f-rr {
  display: inline-block;
  vertical-align: top;
}

.f-l {
  float: left;
}

.o-size {
  width: 90%;
  height: 80%;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.o-table {
  margin: auto;
  width: fit-content;
  height: 80%;
  overflow: scroll;
  overflow-x: hidden;
}

.w-scroll {
  overflow-y: hidden;
  width: calc(100% - 661px);
  overflow-x: auto;
  /* white-space: nowrap; */
}

.disabled-state {
  pointer-events: none;
  opacity: 40%;
}

.enabled-state {
  pointer-events: auto;
  opacity: 100%;
}

.row-b {
  top: -5px;
  /* right: -10px; */
  /* height: 30px; */
  max-height: 30px;
}

.row-input {
  top: -10px;
  /* right: -10px; */
  /* height: 30px; */
  max-height: 30px;
}

.row {
  height: 30px;
  max-height: 30px;
  padding: 10px;
  white-space: nowrap;
  /* overflow-x: auto; */
  overflow-y: hidden;
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

.row::-webkit-scrollbar {
  display: none; /* Safari and Chrome */
}

.p-grid {
  /* flex-wrap: nowrap; */
  display: flex;
}
.selected {
  border: 2px solid #c8e6c9;
}

.candidateCard:focus-visible {
  border: none;
}

.Dialog {
  width: 750px;
}
